Skip to main content
PATCH
/
v1
/
products
/
{id}
Update Product
curl --request PATCH \
  --url https://api.wizcommerce.com/v1/products/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data @- <<EOF
{
  "group_code": "PRD1",
  "reference_id": "PRD1",
  "name": "8'X10'",
  "categories": [
    "<string>"
  ],
  "collections": [
    "<string>"
  ],
  "medias": [
    {
      "url": "https://example.com/image1.jpg",
      "order": 1,
      "type": "image",
      "is_default": true
    }
  ],
  "attributes": [
    {
      "name": "1234567890",
      "value": "red"
    }
  ],
  "product_prices": [
    {
      "price_list_id": "PRC123",
      "price": 100,
      "min_order_quantity": 1,
      "max_order_quantity": 100,
      "step_increment": 1
    }
  ],
  "status": "inactive",
  "priority": 123
}
EOF
{
  "data": {
    "id": "01f5d171-d3e3-4b2b-bd57-0727194b5bed",
    "reference_id": "SKU123",
    "sku": "SKU123",
    "name": "Product Name",
    "group_code": "PRD1",
    "medias": [
      {
        "is_default": true,
        "type": "image",
        "url": "https://example.com/image1.jpg"
      }
    ],
    "is_primary": true,
    "status": "active",
    "attributes": [
      {
        "id": "1234567890",
        "name": "color",
        "value": "red"
      }
    ],
    "created_at": "<string>",
    "updated_at": "<string>",
    "price_lists": [
      {
        "created_at": "<string>",
        "id": "<string>",
        "max_order_quantity": 123,
        "min_order_quantity": 123,
        "price": 123,
        "step_increment": 123,
        "updated_at": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.wizcommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

The PATCH request is used to partially update an existing entity by the given id. This means:
  • Only the fields provided in the request body will be updated.
  • Fields not provided in the request body will remain unchanged.
  • The request is idempotent, meaning multiple identical PATCH requests will always result in the same final state.

Authorizations

X-API-Key
string
header
required

API Key for authentication

Path Parameters

id
string
required

Product ID

Body

application/json

Product Update Request

group_code
string

If the code already exists, this variant joins that group. If the code is new, every variant in this group gets the new code. Omit to leave the group as-is.

Example:

"PRD1"

reference_id
string

Reference ID for the variant, if no reference id is available, the sku_id should be used

Example:

"PRD1"

name
string
Maximum string length: 255
Example:

"8'X10'"

categories
string[]

One or more category names for this variant, in case sub categories are available, the sub categories should be separated by :: eg: "category1::sub_category1::sub_sub_category1" then the category "sub_sub_category1" will be mapped to the product

collections
string[]

One or more collection IDs for this variant

medias
object[]

Media assets associated with this variant

attributes
object[]

Key-value pair attributes like size, shape, material, etc.

product_prices
object[]

Prices mapped to price lists

status
enum<string>
Available options:
active,
inactive
Example:

"inactive"

priority
integer

Omit = no change; null = clear; value = set.

Response

Created

data
object